autofs-5.0.8 - fix rpc_getport() when libtirpc is disabled

From: Ian Kent <raven@themaw.net>

Fix an obvious function declaration error with rpc_getport() when
libtirpc usage is disabled.
---
 CHANGELOG      |    1 +
 lib/rpc_subs.c |    3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index a9263c8..fe0dd64 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -11,6 +11,7 @@
 - get_nfs_info() should query portmapper if port is not given.
 - fix rpc_portmap_getport() proto not set.
 - fix protmap not trying proto v2.
+- fix rpc_getport() when libtirpc is disabled.
 
 17/10/2013 autofs-5.0.8
 =======================
diff --git a/lib/rpc_subs.c b/lib/rpc_subs.c
index daa7c5b..486c3c0 100644
--- a/lib/rpc_subs.c
+++ b/lib/rpc_subs.c
@@ -235,7 +235,8 @@ static int rpc_do_create_client(struct sockaddr *addr, struct conn_info *info, i
 	return 0;
 }
 static int rpc_getport(struct conn_info *info,
-		       struct pmap *parms, CLIENT *client)
+		       struct pmap *parms, CLIENT *client,
+		       unsigned short *port)
 {
 	enum clnt_stat status;
 
